Plack::App::File(3)

NAME
Plack::App::File - Serve static files from root directory

SYNOPSIS
  use Plack::App::File;
  my $app = Plack::App::File->new({ root => "/path/to/htdocs" })->to_app;

DESCRIPTION
This is a static file server PSGI application, and internally used by Plack::Middleware::Static. This application serves file from document root if the path matches with the local file. Use Plack::App::Directory if you want to list files in the directory as well.

CONFIGURATION

root
    Document root directory. Defaults to "." (current directory)

encoding
    Set the file encoding for text files. Defaults to "utf-8".

AUTHOR
Tatsuhiko Miyagawa

SEE ALSO
Plack::Middleware::Static Plack::App::Directory